EDIT - bug #6330

Defined sort order for Mediarepresentations
01/12/2017 04:28 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal Found in Version:

Description

If multiple MediaRepresentations are available for one Media the order is arbitrary as it has set semantics.
This is sometimes confusing for the user if you open the same Media multiple times in details view but the result looks different.

We need a Comparator which may use size information from MediaRepresentationParts and/or any other as long as it is a
reproducable order.

This might be true for other lists with set semantic. We may create another ticket to generally solve this problem for all these issues.
Maybe we should require a default Comparator for each such "list element” in TaxEditor.

Associated revisions

Revision 1c3cb06b - 03/05/2018 09:04 AM - Patrick Plitzner
fix #6330 Add default sorting for all entity collections

e default sorting is done by CdmBase.getld(). This also ensures that new elements are shown on top at first

Revision 6e52cede - 05/03/2018 03:00 PM - Patrick Plitzner
ref #6330 Adapt comparator to specific sorting

History

#1 - 01/30/2017 03:17 PM - Andreas Miuiller
- Priority changed from New to Priority14

- Target version changed from Unassigned CDM tickets to Release 4.6

#2 - 03/10/2017 08:47 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#3 - 05/11/2017 10:22 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#4 - 07/06/2017 10:26 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#5 - 07/21/2017 10:29 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#6 - 09/24/2017 04:51 PM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#7 - 11/08/2017 11:21 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#8 - 12/05/2017 02:15 PM - Andreas Miller

- Target version changed from Release 4.12 to Release 4.13
#9 - 01/31/2018 12:30 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#10 - 02/15/2018 03:25 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#11 - 03/05/2018 11:03 AM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|1c3cb06bce28e238ec52c0469edaalc7c41119aa.

#12 - 03/05/2018 02:46 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#13 - 04/27/2018 03:56 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner
- % Done changed from 50 to 90

This generally seems to work though | tested only for MediaRepresentations.

Did you check in all cases that you did not overwrite a maybe existing sorting. | remember that we did some advanced sorting for certain sets already.
If this was checked we can close the ticket.

#14 - 05/03/2018 02:46 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 90 to 100
Andreas Milller wrote:
This generally seems to work though | tested only for MediaRepresentations.
Did you check in all cases that you did not overwrite a maybe existing sorting. | remember that we did some advanced sorting for certain sets

already.
If this was checked we can close the ticket.

| checked all sub classes adapted the comparator accordingly.
